/**
 * @author Luc Yriarte
 * 
 * Licence : BSD http://www.opensource.org/licenses/bsd-license.php
 *  
 */
package basicSim;


public class VectorXYZ extends Vector {

	static public VectorXYZ MatrixAsVectorXYZ(Matrix aMatrix) {
		return new VectorXYZ(aMatrix.getCell());
	}
	
	/**
	 * [0,0,0]
	 */
	public VectorXYZ() {
		super(3);
	}

	/**
	 * [x,y,z]
	 */
	public VectorXYZ(double x, double y, double z) {
		super(3);
		cell[0][0] = x;
		cell[1][0] = y;
		cell[2][0] = z;
	}
	
	public VectorXYZ(double[][] cell) {
		nLines = 3;
		nCols = 1;
		this.cell = cell;
	}

	public VectorXYZ(Matrix aMatrix) {
		super(3);
		cell[0][0] = aMatrix.getCell()[0][0];
		cell[1][0] = aMatrix.getCell()[1][0];
		cell[2][0] = aMatrix.getCell()[2][0];
	}

	public double getX() {
		return cell[0][0];
	}
	
	public double getY() {
		return cell[1][0];
	}
	
	public double getZ() {
		return cell[2][0];
	}
	
	public VectorXYZ setX(double aDouble) {
		cell[0][0] = aDouble;
		return this;
	}
	
	public VectorXYZ setY(double aDouble) {
		cell[1][0] = aDouble;
		return this;
	}
	
	public VectorXYZ setZ(double aDouble) {
		cell[2][0] = aDouble;
		return this;
	}
	
	
}
