/**
 * @author Luc Yriarte
 * 
 * Licence : BSD http://www.opensource.org/licenses/bsd-license.php
 *  
 */
package physicSim;

public class SpringWorld extends World {

	public SpringMesh springs = null;
	
	/**
	 * 
	 */
	public SpringWorld() {
		super();
	}

	/**
	 * @param g
	 */
	public SpringWorld(double g) {
		super(g);
	}

	/**
	 * @param g
	 * @param millisec
	 */
	public SpringWorld(double g, int millisec) {
		super(g, millisec);
	}

	/* (non-Javadoc)
	 * @see physicSim.World#updateWorld(double)
	 */
	public void updateWorld(double dt) {
		if (springs != null)
			springs.update(dt);
		super.updateWorld(dt);
	}
}
